#include "usuals.h"

#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN extern
#endif

struct IdeaCfbContext;

EXTERN int cryptRandOpen (char *filename, struct IdeaCfbContext *);
EXTERN byte cryptRandByte (void);
EXTERN void cryptRandInit (struct IdeaCfbContext *);
EXTERN int cryptRandWriteFile (char const *, struct IdeaCfbContext *, unsigned);
EXTERN void cryptRandSave (char *filename, struct IdeaCfbContext *);

EXTERN unsigned trueRandEvent (int event);
EXTERN void trueRandFlush (void);
EXTERN void trueRandConsume (unsigned count);
EXTERN void trueRandAccumLater (unsigned bitcount);
EXTERN void trueRandAccum (unsigned count);
EXTERN int trueRandByte (void);

EXTERN int getstring (char *strbuf, unsigned maxlen, int echo);
